/**
 * Copyright 2010-2013  Members of the EMI Collaboration.
 * Copyright 2010-  Stichting Fundamenteel Onderzoek der Materie (FOM-Nikhef)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/*!

	\file eef_polytypes.h
	\brief Defines the different context classes
	\author Aram Verstegen \& Mischa Sall\'e

*/
#ifndef POLYTYPES_H
#define POLYTYPES_H

/* defines the different type of contexts */
typedef enum aos_context_class_e {
  CONTEXT_FIRST,    /* use this to loop over context classes */
  SUBJECT,
  ACTION,
  RESOURCE,
  ENVIRONMENT,
  NONE,
  ANY,
  OBLIGATION,
  CONTEXT_LAST	/* use this to find number of context classes */
} aos_context_class_t;

#endif
